package com.cogitarecomputing.energydefender;

import com.cogitarecomputing.energydefender.Shot.ShotType;
import flash.display.BitmapData;
import openfl.Assets;

/**
 * ...
 * @author 
 */
class ShotHandler extends UpdateableSprite
{
	private var m_shots:Array<Shot>;
	private var m_shotBD:BitmapData;
	private var m_shotBD2:BitmapData;
	private var m_main:Main;
	
	public override function Update(deltaTime:Float):Void
	{
		for (s in m_shots)
		{			
			s.Update(deltaTime);
		}
	}

	public function Shoot(power:Float, shotspeed:Float, px:Float, py:Float, dx:Float, dy:Float, stype:ShotType)
	{
		
		var s = new Shot(power, 10000.0, px, py, shotspeed*dx, shotspeed*dy, stype == ShotType.AimAtEnemy ? m_shotBD2 : m_shotBD, stype, m_main);
		m_shots.push(s);
		addChild(s);
	}
	public function new(main:Main) 
	{
		super();
		m_main = main;
		m_shotBD = Assets.getBitmapData("img/shot1.png");
		m_shotBD2 = Assets.getBitmapData("img/shot2.png");
		m_shots = new Array<Shot>();
	}
	
}