package com.cogitarecomputing.energydefender;

import flash.display.Bitmap;
import flash.display.Sprite;
import flash.events.MouseEvent;
import openfl.Assets;
/**
 * ...
 * @author 
 */
class EnergySource extends UpdateableSprite
{
	private var bmp:Bitmap;
	private var bmp2:Bitmap;
	public var energy:Float;
	private var totRot:Float;
	private var energyBar:Bitmap;
	private var m_main:Main;

	public override function Update(deltaTime:Float):Void
	{
		totRot += (deltaTime/100.0);
		bmp2.alpha = 0.5 * Math.sin(totRot) + 0.5;
		energyBar.scaleX = energy;
		energyBar.scaleY = 0.4;
		if (energy <= 0.0 && visible)
		{
			visible = false;			
			m_main.m_explosionHandler.AddExplosion(x, y, true);
			m_main.shipExplodeSnd.play();
		}
	}
	
	public function new(px:Float, py:Float, main:Main) 
	{
		super();
		m_main = main;
		x = px;
		y = py;
		energy = 0.8;
		totRot = 0.0;
		bmp = new Bitmap(Assets.getBitmapData("img/energysource.png"));
		bmp2 = new Bitmap(Assets.getBitmapData("img/energysourceflash.png"));
		bmp.x = -bmp.width / 2;
		bmp.y = -bmp.height / 2;
		bmp2.x = bmp.x;
		bmp2.y = bmp.y;
		bmp2.alpha = 0.0;
		addChild(bmp);
		addChild(bmp2);
		energyBar = new Bitmap(Assets.getBitmapData("img/energybar.png"));
		energyBar.x += 10;
		energyBar.y -= 16;
		energyBar.scaleY = 0.4;
		addChild(energyBar);
		
	}
	
}